Last Comment Bug 380221 - AMO Localization (pt-BR)
: AMO Localization (pt-BR)
Status: RESOLVED FIXED
:
Product: addons.mozilla.org Graveyard
Classification: Graveyard
Component: Localization (show other bugs)
: unspecified
: x86 All
: -- normal
: ---
Assigned To: Filipe Grillo
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-09 17:04 PDT by /\/\arcio Galli
Modified: 2016-02-04 14:50 PST (History)
12 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Mozilla AMO gettext file localized to PT-BR (106.24 KB, text/plain)
2007-10-16 08:40 PDT, Filipe Grillo
no flags Details
Reviewed Candidate (105.74 KB, text/plain)
2007-10-23 17:19 PDT, Filipe Grillo
no flags Details
Pt-BR Localized messages.po (105.63 KB, text/x-gettext-translation)
2007-11-19 13:20 PST, Filipe Grillo
no flags Details
fixed messages.po (106.41 KB, text/plain)
2007-11-20 00:33 PST, Wil Clouser [:clouserw]
no flags Details
Pt-BR version of the developer_agreement specialized page (1.05 KB, application/octet-stream)
2008-01-18 03:48 PST, Filipe Grillo
no flags Details
Pt-BR version of the error404 specialized page (1.06 KB, application/octet-stream)
2008-01-18 03:48 PST, Filipe Grillo
no flags Details
Pt-BR version of the nomination specialized page (1.23 KB, application/octet-stream)
2008-01-18 03:49 PST, Filipe Grillo
no flags Details
Pt-BR version of the policy specialized page (17.09 KB, text/html)
2008-01-18 03:49 PST, Filipe Grillo
no flags Details
Pt-BR version of the sandbox specialized page (1.23 KB, application/octet-stream)
2008-01-18 03:50 PST, Filipe Grillo
no flags Details
Pt-BR version of the submission_help specialized page (4.96 KB, application/octet-stream)
2008-01-18 03:50 PST, Filipe Grillo
no flags Details
Pt-BR version of the sandbox page (1.96 KB, application/octet-stream)
2008-01-18 12:06 PST, /\/\arcio Galli
no flags Details
Final revision before going online (106.45 KB, text/x-gettext-translation)
2008-02-14 17:32 PST, Filipe Grillo
no flags Details
messages.po pt-BR of remora 3.2 (142.39 KB, text/x-gettext-translation)
2008-03-12 06:59 PDT, Filipe Grillo
no flags Details
messages.po pt-BR with the few late L10n changes localized (145.23 KB, text/x-gettext-translation)
2008-03-15 07:47 PDT, Filipe Grillo
no flags Details
new specialized page localized to pt-BR (699 bytes, application/octet-stream)
2008-03-15 07:49 PDT, Filipe Grillo
no flags Details
Updated messages.po pt-BR (160.91 KB, text/x-gettext-translation)
2008-08-23 08:16 PDT, Filipe Grillo
no flags Details

Description /\/\arcio Galli 2007-05-09 17:04:05 PDT
This is my intention to localize AMO to support pt-BR market development. Will add peers soon.
Comment 1 Wil Clouser [:clouserw] 2007-05-09 17:08:10 PDT
Marcio has cleared this with the current l10n owner (Jeferson Hultmann), and has the SealOfApproval. :)
Comment 2 /\/\arcio Galli 2007-05-11 10:37:49 PDT
When we see this case in the messages.po file 
{{{
#: views/reviews/review_added.thtml:43
msgid "addon_review_in_moderation"
msgstr ""
"Please note: Before your review shows up on the public site, it will be "
"moderated by an editor."
}}}

Should we just fix it? Or this is correct? 
Comment 3 Justin Scott [:fligtar] 2007-05-11 10:40:31 PDT
If you're referring to the way the lines are broken up, one of our scripts does that automatically. It will wrap lines to a certain number of characters. So, it's fine if you translate all on the same line - when we run the merge script it will convert it to that format automatically.
Comment 4 /\/\arcio Galli 2007-05-11 10:53:58 PDT
K thanks ( above comment ). 

===

pt-BR note / legal aspect
--
For EULA pt-BR definition I am using a temporary assumption based on the this document http://www.mozilla.com/en-US/legal/eula/firefox2-pt-BR.txt. ALSUF would be the short to the EULA for pt-BR based on it. 

Framework Question: 
--
Is it okay if I leave #Localization-comments in the messages.po so we don't over annotate this bug? 
Comment 5 Fred Wenzel [:wenzel] 2007-05-12 05:34:04 PDT
Yes, that sure is okay. We don't delete comments out of l10n files.
Comment 6 Jeferson Hultmann 2007-05-13 18:29:52 PDT
(In reply to comment #2)

po/pot files are not supposed to be edited by hand. You should use a tool like poedit/kbabel.

A tool will make your work easier when you have to update the file. It will show you all changes.
Comment 7 /\/\arcio Galli 2007-06-18 12:19:56 PDT
gettext diff is here for an initial Review by Gloria. 

http://mozbrasil.mgalli.com/?p=16

Soon I will attach here. Trying to get some initial comments for her. 
Comment 8 Filipe Grillo 2007-10-16 08:40:35 PDT
Created attachment 285103 [details]
Mozilla AMO gettext file localized to PT-BR
Comment 9 Filipe Grillo 2007-10-16 08:42:14 PDT
Attached gettext Fully translated to PT-BR by me (Filipe Grillo) and Vinicius Baggio and reviewed mgalli / gedini@taboca.com
Comment 10 /\/\arcio Galli 2007-10-16 11:21:12 PDT
Jeferson and Wil. Is it possible we can have this enable on a staging server? 
Comment 11 Wil Clouser [:clouserw] 2007-10-16 14:43:28 PDT
(In reply to comment #10)
> Jeferson and Wil. Is it possible we can have this enable on a staging server? 
> 

Absolutely!  Thanks for your hard work.  You can view it on the staging server here: https://remora.stage.mozilla.com/pt-BR/firefox/

And since I don't see it linked in this bug yet, here is a run through of localizing AMO (you're already in the middle of it, so you've probably seen it before): http://wiki.mozilla.org/Update:Localizers

Thanks again.
Comment 12 Filipe Grillo 2007-10-23 17:19:21 PDT
Created attachment 285950 [details]
Reviewed Candidate 

Hello Will, This is the reviewed version of the first candidate.

Do you think we can see it in the stage version?

[]s
Comment 13 /\/\arcio Galli 2007-10-23 17:29:34 PDT
Cool. Significant changes went to this reviewed candidate. 
Comment 14 Wil Clouser [:clouserw] 2007-10-25 13:12:35 PDT
The new file will show up on the staging server in about 5 minutes.  Thanks.
Comment 15 Filipe Grillo 2007-11-19 13:20:38 PST
Created attachment 289376 [details]
Pt-BR Localized messages.po

New version of the messages.po in PT-BR

Corrected with help of three reviewers and Jefferson (Firefox localizer)

Can we see it on the stage version?

Soon we will have the special pages too.

[]s
Comment 16 Wil Clouser [:clouserw] 2007-11-20 00:33:50 PST
Created attachment 289458 [details]
fixed messages.po

Thanks!

The file you attached was in an ISO-8859-1 format instead of UTF-8, which means it wouldn't compile into the .mo file.  I fixed it, and attached the fixed version here.  If you download it and use it insted, hopefully your text editor will save it in the same format (or if you know how to tell your editor to save as UTF-8, please do that).

Your changes should be viewable on http://remora.stage.mozilla.com/pt-BR/firefox/
Comment 17 Jeferson Hultmann 2007-11-20 19:06:33 PST
I don't know if it's a bug. A previous version of the pt-BR translation is available at https://addons.mozilla.org/pt-BR/firefox/

P.S. Filipe, I pointed out ~20 bugs and these bugs are still unfixed.
Comment 18 Wil Clouser [:clouserw] 2007-11-20 21:48:28 PST
Not a bug.  The staging server updates every few minutes, but the production site updates, at most, once a week.  Rest assured it will go live eventually. :)
Comment 19 Filipe Grillo 2008-01-18 03:48:05 PST
Created attachment 297733 [details]
Pt-BR version of the developer_agreement specialized page
Comment 20 Filipe Grillo 2008-01-18 03:48:48 PST
Created attachment 297734 [details]
Pt-BR version of the error404 specialized page
Comment 21 Filipe Grillo 2008-01-18 03:49:10 PST
Created attachment 297735 [details]
Pt-BR version of the nomination specialized page
Comment 22 Filipe Grillo 2008-01-18 03:49:39 PST
Created attachment 297736 [details]
Pt-BR version of the policy specialized page
Comment 23 Filipe Grillo 2008-01-18 03:50:06 PST
Created attachment 297737 [details]
Pt-BR version of the sandbox specialized page
Comment 24 Filipe Grillo 2008-01-18 03:50:32 PST
Created attachment 297738 [details]
Pt-BR version of the submission_help specialized page
Comment 25 Filipe Grillo 2008-01-18 04:01:39 PST
Sandbox localized flowchart strings:

Complemento Enviado
Novo Complemento?
SANDBOX
PÚBLICO
Tornar o Complemento Público
Complemento Confiável?
Autor indica um Complemento não público
Revisão do Editor
sim
não
aceito
negado 


All the specialized pages and the flowchart strings were localized by me and Márcio Galli and reviewed by Gloria Edini and friends/relatives.

Can you push them to the stage server Wil?

Thanks.
Comment 26 Wil Clouser [:clouserw] 2008-01-18 08:32:03 PST
Great work guys!

I committed all the pages attached here to SVN (r9697) and they should be visible on the staging server (http://remora.stage.mozilla.com/pt-BR/firefox/) in a few minutes.  fligtar will be adding the sandbox flowchart shortly.

Thanks
Comment 27 Justin Scott [:fligtar] 2008-01-18 11:48:38 PST
The sandbox flowchart has been created and committed, however the file that you uploaded as sandbox.thtml is actually nomination.thtml.
Comment 28 /\/\arcio Galli 2008-01-18 12:06:38 PST
Created attachment 297833 [details]
Pt-BR version of the sandbox page
Comment 29 Wil Clouser [:clouserw] 2008-01-18 12:14:20 PST
(In reply to comment #28)
> Created an attachment (id=297833) [details]
> Pt-BR version of the sandbox page
> 

Got it, r9701.  You had <pre> tags around all the content which made it look funny so I removed them.  Thanks.
Comment 30 Wil Clouser [:clouserw] 2008-01-19 22:52:55 PST
BTW, once http://remora.stage.mozilla.com/pt-BR/firefox/ looks good to you, let me know here and I'll make pt-BR appear in the dropdown list on AMO and schedule this for our next push.

Thanks.
Comment 31 /\/\arcio Galli 2008-01-21 09:20:21 PST
Note on pt-PT in case we want to check our commons etc

bug 391197
Comment 32 /\/\arcio Galli 2008-01-23 07:17:14 PST
Wi(l)der audience comment notes
==============

Marcio Galli dad 
===
"Nós temos uma lista de algumas de nossas Complementos favoritos para você começar, incluindo esta abaixo."
>> Nossos complementos

RAQUEL Cunha
------------------------------
"Nós colocamos um pouco dos mais populares sites de busca na Barra de Pesquisa no canto superior esquerdo do Firefox. Se você quer adicionar outros, existem centenas para você escolher. Clique em um Mecanismo de Busca para adicioná-lo na Barra de Pesquisa do Firefox:"
---
segue minha versão:
---
"Nós disponibilizamos alguns dos mais populares sites de busca na Barra de Pesquisa no canto superior esquerdo do Firefox. Se você quiser adicionar outros, existem centenas para você escolher. Clique em um Mecanismo de Busca para adicioná-lo na Barra de Pesquisa do Firefox:"
-------------------

Comment 33 Filipe Grillo 2008-02-14 17:32:35 PST
Created attachment 303431 [details]
Final revision before going online

Small bugs pointed in the bug were corrected.


Wil, you have the OK!
Ready to go online :)
Comment 34 Jeferson Hultmann 2008-02-14 18:34:34 PST
@Filipe: How about the bugs I reported in October? The current version still has those typos, improper Title Case, and words that don't match the Firefox/Thunderbird UI.
Comment 35 /\/\arcio Galli 2008-02-26 09:39:30 PST
We ve taken those in considerations AFAwK. Jeferson can you enumate specifically if something still remains, maybe we just missed. 
Comment 36 Jeferson Hultmann 2008-02-28 18:27:55 PST
Marcio, Filipe has already emailed me, he is working on the issues.
Comment 37 Wil Clouser [:clouserw] 2008-03-05 11:41:28 PST
Hi,

This is just a friendly reminder that I'm sending to all the AMO L10n bugs:

The 3.2 redesign is going live in just over a week and a half.  If you can't make the schedule or you have any questions please let me know.  If you've already updated your locales, thanks so much - they're looking great. :)
Comment 38 Filipe Grillo 2008-03-07 15:40:09 PST
Hi!

Will I'm on it!
intent to upload the messages.po (3.2) some day before wednesday (12/03)

I'll localize and count with Mgalli for reviewing (and backup if needed)
Comment 39 Filipe Grillo 2008-03-12 06:59:18 PDT
Created attachment 308861 [details]
messages.po pt-BR of remora 3.2

Here it is!

This file was localized be me and counts with review from Márcio Galli. Soon we'll have another review from Jeferson Hultmann.

Wil, can we see it on the remora?
thanks!
Comment 40 Wil Clouser [:clouserw] 2008-03-12 09:33:13 PDT
in SVN, r11233.  Thanks.  Should be on stage shortly.
Comment 41 Filipe Grillo 2008-03-15 07:47:05 PDT
Created attachment 309649 [details]
messages.po pt-BR with the few late L10n changes localized

Newest messages.po localized

Reviews are welcome!
Comment 42 Filipe Grillo 2008-03-15 07:49:29 PDT
Created attachment 309650 [details]
new specialized page localized to pt-BR

Here is the new page in pt-BR, no reviews yet
again, reviews are welcome.


Wil, what should I do to get svn access to the AMO pt-BR repository?

thanks
Comment 43 Wil Clouser [:clouserw] 2008-03-17 09:29:11 PDT
Thanks, both updates are in SVN, r11322

> 
> Wil, what should I do to get svn access to the AMO pt-BR repository?

Instructions: http://wiki.mozilla.org/SVN#SVN_account_for_localizers

Thanks.
Comment 44 Wil Clouser [:clouserw] 2008-03-27 22:21:33 PDT
I've marked Filipe as a localizer on the site which should allow him to localize the categories, etc. online.  Thanks Filipe.
Comment 45 /\/\arcio Galli 2008-05-15 12:42:45 PDT
Reassigning to Filipe Grillo. 
Comment 46 Wil Clouser [:clouserw] 2008-05-29 09:44:23 PDT
A reminder about an outdated string:  (Background in bug 426582)  The string "feature_reviews" was changed to include the number of reviews and your translation hasn't been updated to reflect that.  The English localization is:

msgid "feature_reviews"
msgid_plural "feature_reviews"
msgstr[0] "%1$s review"
msgstr[1] "%1$s reviews"

Please update your .po file with the pluralization when you can.  If you need help let me know.
Comment 47 Filipe Grillo 2008-05-29 10:58:14 PDT
Sorry! i'm a little late with the .po updates... This semester is killing me!

I'll fix this ASAP!

thanks!
Comment 48 Filipe Grillo 2008-08-23 08:16:32 PDT
Created attachment 335176 [details]
Updated messages.po pt-BR

Wil, can you replace it on the SVN? 

I'm still waiting to get access to it

Tks!
Comment 49 Wil Clouser [:clouserw] 2008-08-23 19:39:14 PDT
Thanks, r17893
Comment 50 /\/\arcio Galli 2009-02-17 17:20:24 PST
Pushed checked in today a bunch of catch up strings a summary is here - http://viewvc.svn.mozilla.org/vc/addons/trunk/site/app/locale/pt_BR/LC_MESSAGES/messages.po?r1=22341&r2=22259 _ i am running a review with Felipe and other moz contributors in Brazil to see how bad was my translation - I am certain I landed some keywords not in match with the latest. The reviw request was sent to Filipe Grillo ( for his previous work here ), Jeferson Hultmann lead pt-BR ff 3.1, Fernando Silveira ( pt-BR mozilla.com site ) and Andrea Balle ( community ).
Comment 51 /\/\arcio Galli 2009-02-18 09:42:31 PST
=====
Review from Andrea Balle
=====
Oi Márcio

Achei meio estranha a ordem que você colocou nessas frases aqui:

Linha 291: Navegar todos os Temas :: Complementos %1$s
Linha 369: Navegar Temas %1$s :: Complementos %2$s

Por que eu entendi assim (posso ter entendido errado): essa parte que vem depois do "::" quer dizem que existem "%1$s " (sendo %1$s  um número) de complementos, como se eu falasse "existem 10 complementos". Do jeito que você colocou, parece que está dizendo "existem complementos 10". Por isso achei a ordem meio estranha, eu acho que ficaria melhor assim:

Linha 291: Navegar todos os Temas :: %1$s Complementos
Linha 369: Navegar Temas %1$s :: %2$s Complementos

Se esses "%1$s" não forem números e eu entendi errado (fora do contexto), desconsidera a minha viagem xD

E na linha 762, você colocou "No Sandbox;", não seria melhor NA Sandbox? Por que literalmente "box" é caixa, que é feminino... Só uma sugestão :)

Na 3582, "Frequently Asked Questions" se traduz normalmente só como "Perguntas Frequentes".

Na 4019, "Agrupar por: Mes", faltou o circunflexo do "Mês" (ai, como eu sou chata).

Na 4406 "re-registrar" eu acho que não é usado em português. Poderia substituir por "registrar novamente". Também não sei se "Farewell!" ficou bom traduzido como "Despedida!", talvez ficasse melhor como "Tchau!" ou "Adeus!", apesar de ser menos literal.

Na 4830, "A first name, last name or nickname is required.", acho que first name seria "nome" e last name seria "sobrenome".

Acho que é isso, espero ter ajudado. Se alguma das minhas sugestões for piração minha, desconsidera, hehehe.

Abração!
=====
Comment 52 /\/\arcio Galli 2009-02-18 09:43:36 PST
=====
Review from Gloria Galli
=====
Marcio,
achei pequenas coisas, mas acho que assim fica melhor - transcrevi numero das linhas p/ ficar + facil achar as correções. ( estao logo após - "eu diria")
gl//


4409      "Your user account %1$s has been successfully deleted. If you want to come "      "Sua conta de usuário %1$s foi deletada com sucesso. Se você tiver interesse em "
4410      "back some time, you can re-register on the <a href=\"%2$s\">user "      "voltar, você poderá re-registrar na <a href=\"%2$s\">

eu diria :
Se você tiver interesse em voltar, poderá registrar-se novamente n.... (ao invés de re-registrar)




4434      "\">author of any add-ons</a>. To delete your account, please have another "      "\">autor de complementos</a>. Para deletar sua conta, por favor coloque outra "
4435      "person in your development group delete you from the list of authors for "      "pessoa no grupo de desenvolvimento e delete você da lista de autores para "
4436      "your add-ons. Afterwards you will be able to delete your account here."      "seus Complementos. Somente depois você poderá deletar sua conta aqui."

eu diria:
Você não pode deletar sua conta se estiver listado como um..... (...)  Coloque outra pessoa no grupo de desenvolvimento e tire seu nome da lista de autores para.... (..) Somente depois disso, poderá deletar sua conta aqui.


4442      msgstr "If you have additional questions, please contact %1$s for assistance."      msgstr "Se você tem outras perguntas, por favor entre em contato com %1$s para assistência."
 
eu diria:
(...) entre em contato com.... para obter assistência.

 "You need to check the box \"I understand...\" before we can delete your "  "Você precisa marcar a caixa \"Eu Concordo...\" antes de você deletar sua "
4449      "account."      "conta."

eu diria:
 (...) antes de deletar sua conta.

496      "Your reviews and ratings will not be deleted, but they will no longer be "      "Suas revisões ou notas não serão apagadas, mas elas não serão mais "
4497      "associated with you."      "associadas com seu usuário."

eu diria: (AQUI NAO TENHO CERTEZA)
(..) não serão apagadas, mas elas não serão mais associadas ao seu nome (login ?)

504      "If you have a specific problem we may help you with, please do not delete "      "Se você tem um problema específico que podemos lhe ajudar, por favor não apague"
4505      "your account now, but contact us at %1$s and we will do our best to assist "      "sua conta agora, mas entre em contato conosco em %1$s e nós faremos nosso melhor para lhe ajudar "
4506      "you in solving it."      "a resolver o problema."

eu diria:
(...) por favor, não delete (apague) sua conta agora, mas entre em contato conosco  em .... e faremos o melhor para ajudá-lo a resolver o problema.

======
Comment 53 /\/\arcio Galli 2009-02-18 10:17:04 PST
===
Review from Bruno, the legal related wording 
===
Oh, now I get it. My suggestion is:

Addons Policy - Política de Uso dos Complementos
Mozilla Privacy Policy - Política de Privacidade da Mozilla
====
Comment 55 /\/\arcio Galli 2009-03-01 09:31:41 PST
Pinged filipe grillo for a final review.
Comment 56 /\/\arcio Galli 2009-03-01 12:10:32 PST
fGrillo's review
=====

msgid "addons_status_nominated
msgstr "Na Sandbox; Nominado para Publicação" ==> Nomeado ou Indicado fica melhor aqui
-----------
msgid "compatibility_report_intro"
msgstr ""
"Dos Complementos do  %1$s que representam 95&#37; da utilização de Complementos que Mozilla tem conhecimento, "
"<b>%2$s&#37;</b> são atualmente considerados compatíveis com as últimas versões "
"do %3$s." 

Nessa eu acho que a frase em inglês tem mais o seguinte sentido:  
"Dos %1$s Complementos que representam 95&#37; da utilização de Complementos que Mozilla tem conhecimento, " ...
-----------
msgid "page_title_review_guide"
msgstr "Regras gerais para Revisores"  ==>  para Guidelines, seria melher usar "Guia" para Revisores
-----------
msgid "page_title_submissionhelp"
msgstr "Ajuda com Envio"  ==>  Ajuda para enviar
-----------
msgid "statistics_js_plotselection_options_count_tooltip"
msgstr "Colocar a contagem total neste gráfico"   ==> Mostrar ou Traçar a contagem

msgid "user_del_confirm_password"
msgstr "Confirme senha"   ==>  Confirme sua senha

msgid "user_del_header_farewell"
msgstr "Despedida!"  ==> Acho q esse título é mais no sentido de "tchau" então poderia ficar algo como "Até mais" ou "Até logo"


====
Comment 57 Wil Clouser [:clouserw] 2009-11-10 17:42:23 PST
Mass-close of L10n bugs.  We're using the newsgroups to notify localizers about updates so there isn't much of a reason to leave these open.  If you have a specific case, feel free to reopen.

Thanks for all your help! :)

Note You need to log in before you can comment on or make changes to this bug.